import request from '@/utils/request'
export function getReadingDataByType() {
  return request({
    url: '/statistics/getReadingDataByType',
    method: 'get'
  })
}

export function getReadingDataByMonth(monthCount) {
  const url = `/statistics/getReadingDataByMonth/${monthCount}`
  return request({
    url: url,
    method: 'get'
  })
}

export function getReadingDataRank(topCount) {
  const url = `/statistics/GetReadingDataRank/${topCount}`
  return request({
    url: url,
    method: 'get'
  })
}

export function getReviewersByRank() {
  const url = `/statistics/getReviewersByRank`
  return request({
    url: url,
    method: 'get'
  })
}

export function getEnrollDataByQuarter(type, monthCount) {
  const url = `/statistics/GetEnrollDataByQuarter/${type}/${monthCount}`
  return request({
    url: url,
    method: 'get'
  })
}

export function getTrialCountRank(topCount) {
  const url = `/statistics/getTrialCountRank/${topCount}`
  return request({
    url: url,
    method: 'get'
  })
}

export function getLatestWorkLoadList(searchCount) {
  const url = `/statistics/getLatestWorkLoadList/${searchCount}`
  return request({
    url: url,
    method: 'get'
  })
}

